> For the complete documentation index, see [llms.txt](https://docs.ont.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ont.io/developer-tools/api/explorer-api/summary.md).

# Summary

## 1. Get blockchain, latest summary information

<pre><code><strong>url：/v2/summary/blockchain/latest-info, 
</strong>method：GET, 
successResponse：{
    "code":0, 
    "msg":"SUCCESS", 
    "result":{
		"block_height":12323, 
		"tx_count":52000, 
		"ontid_count":12, 
		"node_count":188, 
        "address_count":122, 
        "ontid_tx_count": 24188
    }
}
</code></pre>

| ResponseField    | Type | Description                            |
| ---------------- | ---- | -------------------------------------- |
| block\_height    | int  | current latest block height            |
| tx\_count        | int  | current latest transaction count       |
| ontid\_count     | int  | current latest ONT ID count            |
| node\_count      | int  | current latest node count              |
| address\_count   | int  | current address count                  |
| ontid\_tx\_count | int  | current latest ontid transaction count |

## 2. Get blockchain, tps information

```javascript
url：/v2/summary/blockchain/tps, 
method：GET, 
successResponse：{
    "code":0, 
    "msg":"SUCCESS", 
    "result":{
	    "current_tps": "10.02", 
		"max_tps": 10000
	}
}
```

| ResponseField | Type   | Description |
| ------------- | ------ | ----------- |
| current\_tps  | String | current tps |
| max\_tps      | double | max tps     |

## 3. Get blockchain, daily summary information

```javascript
url：/v2/summary/blockchain/daily?start_time=1556027861&end_time=1556087861, 
method：GET, 
successResponse：{
    "code":0, 
    "msg":"SUCCESS", 
    "result":{
    	"total": 3, 
        "records":[
              {
                  "time": 1543622400, 
                  "tx_count": 124, 
                  "block_count": 120, 
                  "active_address_count": 21, 
                  "new_address_count": 12, 
                  "ong_sum": "1204.003", 
                  "ont_sum": "342451", 
                  "active_ontid_count": 32, 
                  "new_ontid_count": 29, 
                  "ontid_total": 293, 
                  "address_total": 390
              }
           ]
    }
}
```

| Url RequestField | Type   | Description                |
| ---------------- | ------ | -------------------------- |
| type             | String | daily or weekly or monthly |
| start\_time      | int    | start time. UNIX timestamp |
| end\_time        | int    | end time. UNIX timestamp   |

| ResponseField                  | Type   | Description                      |
| ------------------------------ | ------ | -------------------------------- |
| total                          | int    | total records                    |
| records.time                   | int    | UNIX timestamp                   |
| records.tx\_count              | int    | transaction count                |
| records.block\_count           | int    | block count                      |
| records.active\_address\_count | int    | active address count             |
| records.new\_address\_count    | int    | new address count                |
| records.ong\_sum               | String | ong sum                          |
| records.ont\_sum               | String | ont sum                          |
| records.active\_ontid\_count   | int    | active ontid count               |
| records.new\_ontid\_count      | int    | new ontid count                  |
| records.ontid\_total           | int    | total ONT ID volume as of today  |
| records.address\_total         | int    | total address volume as of today |

## 4. Get contract daily summary information

```javascript
url：/v2/summary/contracts/{contract_hash}/daily?start_time=1556027861&end_time=1556087861, 
method：GET, 
successResponse：{
    "code":0, 
    "msg":"SUCCESS", 
    "result":{
    	"total": 3, 
        "records":[
              {
                  "time": 1543622400, 
                  "tx_count": 0, 
                  "active_address_count": 0, 
                  "new_address_count": 0, 
                  "ont_sum": "1244", 
                  "ong_sum": "324123.00345003"
              }
           ]
    }
}
```

| Url RequestField | Type   | Description                |
| ---------------- | ------ | -------------------------- |
| contract\_hash   | String | contract hash              |
| start\_time      | int    | start time. UNIX timestamp |
| end\_time        | int    | end time. UNIX timestamp   |

| ResponseField                  | Type   | Description          |
| ------------------------------ | ------ | -------------------- |
| total                          | int    | total records        |
| records.time                   | int    | UNIX timestamp       |
| records.tx\_count              | int    | transaction count    |
| records.active\_address\_count | int    | active address count |
| records.new\_address\_count    | int    | new address count    |
| records.ong\_sum               | String | ong sum              |
| records.ont\_sum               | String | ont sum              |

## 5. Get ONT/ONG total supply

<pre><code><strong>url：/v2/summary/native/total-supply/ONT
</strong>method：GET, 
successResponse：100000000

url：/v2/summary/native/total-supply/ONG
method：GET, 
successResponse：100000000
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ont.io/developer-tools/api/explorer-api/summary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
